<?php
	$LIMPIAR=0;
	$StrTC=gs("valor","valores","dato='T_CAMBIO'");
	//-------------------------
	$StrId=V($_POST['TxtId']);
	$StrCmd=V($_POST['TxtAc']);
	$StrRojo=vbval(V($_POST['TxtRojo']));
	$StrAmbar=vbval(V($_POST['TxtAmbar']));
	//
	$StrCod=V($_POST['TxtCod']);
	$StrLin=V($_POST['CboLin']);
	$StrDes=V($_POST['TxtDes']);
	$StrMar="";	
	$StrUni="";	
	$StrPcS=V($_POST['TxtPcS']);	
	$StrPcD=V($_POST['TxtPcD']);		
	$StrPvMin=V($_POST['TxtPvMin']);		
	$StrPvMax=V($_POST['TxtPvMax']);			
	$StrPro=V($_POST['CboPro']);
	$CboPUso=V($_POST['CboPUso']);
	if(strlen($CboPUso)==0)$CboPUso="SI";
	//ACTIVAR DESDE OTRA PAGINA
	if(strlen($StrId)==0){
		$StrId=V($_GET['Id']);
		if(is_numeric($StrId)==false){
			$StrId="";
		}else{
			$StrCmd="AR";
			$LStrPag=V($_GET['Pag']);
			if(!is_numeric($LStrPag)){
				$LStrPag="";
			}
		}
	}
	//FUNCIONES DE DESZPLAZAMIENTO
	$LStrPag=PagGet($LStrPag,$StrCmd,$LStrTR,$VP_RegXPag);
	//FUNCION PARA ACTIVAR UN REGISTRO
	if(strlen($StrId)>0 && $StrCmd=="AR"){
		$Id=$StrId;
		$StrCod=gs("COD","vproductos","ID=$Id");		
		$StrLin=gs("LINEA","vproductos","ID=$Id");		
		$StrDes=gs("DESCRIPCION","vproductos","ID=$Id");		
		$StrMar=gs("MARCA","vproductos","ID=$Id");		
		$StrUni=gs("UNIDAD","vproductos","ID=$Id");		
		$StrPcS=gs("PC_SOL","vproductos","ID=$Id");	
		$StrPcD=round( $StrPcS * $StrTC	,3);
		$StrPvMin=gs("PV_MIN","vproductos","ID=$Id");		
		$StrPvMax=gs("PV_MAX","vproductos","ID=$Id");				
		$StrPro=gs("PROVEEDOR","vproductos","ID=$Id");
		$CboPUso=gs("USO","vproductos","ID=$Id");
		$StrRojo=gn("pro_rojo","productos","id_producto=$Id");
		$StrAmbar=gn("pro_ama","productos","id_producto=$Id");
				
		$LStrFoc="document.getElementById('TxtCod').focus();";		
		$LStrPag="1";
	}	
	//
	if($StrCmd=="UP"){
		XLS_STOCK();
	}
	//
	if($StrCmd=="G" || $StrCmd=="M"){
		if(strlen($StrPcS)==0) $StrPcS=0;
		if(strlen($StrPvMin)==0) $StrPvMin=0;
		if(strlen($StrPvMax)==0) $StrPvMax=0;
		$StrLin_=gn("id_linea","lineas","lin_nombre='$StrLin'");
		$StrMar_=gn("id_marca","marcas","mar_nombre='$StrMar'");
		$StrUni_=gn("id_unidad","unidades","uni_nombre='$StrUni'");
		$StrPro_=gn("id_proveedor","proveedores","pro_nombre='$StrPro'");
	}
	//
	if($StrCmd=="G"){
		if(strlen($StrDes)==0){
			$LStrMsg="Ingrese una descripcion o nombre del producto";
			$LStrFoc="document.getElementById('TxtDes').focus();";						
			$StrGT="S";
		}
		//
		if(strlen($StrGT)==0){
			if(strlen($StrCod)>0){
				if(GetC("productos","pro_codigo='$StrCod' AND pro_uso='S'")>0){
					$LStrMsg="Codigo de producto aun esta en uso";
					$LStrFoc="document.getElementById('TxtCod').focus();";						
					$StrGT="S";					
				}
			}
		}
		//
		if(strlen($StrGT)==0){
			$Id=GenId("id_producto","productos");
			$s="INSERT INTO productos VALUES (
				$Id,'$StrCod',$StrLin_,'$StrDes',
				$StrMar_,$StrUni_,
				$StrPcS,$StrPvMin,$StrPvMax,'',$StrPro_,0,0,
				'$CboPUso',$StrRojo,$StrAmbar)";
			ejt($s);
			//
			ejt("DELETE FROM stocks WHERE id_producto=$Id");
			$s="SELECT id_almacen FROM almacenes ORDER by id_almacen";
			$result = grs($s);
			while ($row = $result->fetch_row()){
				STOCK_ADD($row[0],$Id,0);
			}
			//
			if($LStrMM=="S")	$LStrMsg="Datos registrados";
			$LStrFoc="document.getElementById('TxtCod').focus();";
			$LIMPIAR=1;
		}
	}
	//
	if($StrCmd=="M"){
		if(strlen($StrDes)==0){
			$LStrMsg="Ingrese una descripcion o nombre del producto";
			$LStrFoc="document.getElementById('TxtDes').focus();";						
			$StrGT="S";
		}
		if(strlen($StrGT)==0){
			if(strlen($StrCod)>0){
				if(GetC("productos","pro_codigo='$StrCod' AND pro_uso='S' AND id_producto<>$StrId")>0){
					$LStrMsg="Codigo de producto ya registrado";
					$LStrFoc="document.getElementById('TxtCod').focus();";						
					$StrGT="S";					
				}
			}
		}		
		//
		if(strlen($StrGT)==0){
			$s="UPDATE productos SET pro_codigo='$StrCod',
				pro_id_linea=$StrLin_,pro_des='$StrDes',
				pro_id_marca=$StrMar_,pro_id_unidad=$StrUni_,
				pro_pc_sol=$StrPcS,pro_pv_min=$StrPvMin,
				pro_pv_max=$StrPvMax,pro_id_proveedor=$StrPro_,pro_uso='$CboPUso',
				pro_rojo=$StrRojo,pro_ama=$StrAmbar WHERE id_producto=$StrId";
			ejt($s);
			//
			$s="UPDATE t_productos SET pro_pmi=$StrPvMin,pro_pma=$StrPvMax,pro_uso='$CboPUso',pro_ama=$StrAmbar,pro_roj=$StrRojo,pro_cod='$StrCod',pro_des='$StrDes',pro_lin='$StrLin' WHERE pro_id=$StrId";
			ejt($s);
			//
			if($LStrMM=="S")	$LStrMsg="Datos actualizados";
			$LStrFoc="document.getElementById('TxtCod').focus();";
			$LIMPIAR=1;
		}
	}
	//
	if($StrCmd=="E"){
		if(YERIFICAR($StrId)==1){
			$LStrMsg="El producto esta relacionado a uno o mas procesos, por lo tanto no se puede eliminar. Intente eliminarlo desde el modulo INVENTARIO - CONTROL DE STOCK";
			$LStrFoc="document.getElementById('TxtCod').focus();";						
			$StrGT="S";	
		}else{
			$s="DELETE FROM productos WHERE id_producto=$StrId";	
			ejt($s);
			if($LStrMM=="S")	$LStrMsg="Registro Eliminado";
			$LStrFoc="document.getElementById('TxtCod').focus();";				
			$LIMPIAR=1;
		}
	}
	if($LIMPIAR==1){
		$StrId="";
		$StrCod="";		
		$StrLin="";
		$StrDes="";
		$StrMar="";
		$StrUni="";
		$StrPcS="";
		$StrPcD="";
		$StrPvMin="";
		$StrPvMax="";
		$StrPro="";
		$CboPUso="SI";
		$StrGT="S";		
		$StrRojo="";
		$StrAmbar="";
	}
	//////////////////////////////////
	if($StrGT=="S"){
		if(strlen($LStrMsg)>0){
			if(strlen($LStrFoc)==0){
				$LStrMsg="onload=\"alert('$LStrMsg');\"";
			}else{
				$LStrMsg="onload=\"alert('$LStrMsg');$LStrFoc;\"";
			}
		}else{
			if(strlen($LStrFoc)>0){
				$LStrMsg="onload=\"$LStrFoc;\"";
			}
		}
	}else{
		$LStrFoc="document.getElementById('TxtCod').focus();";
		$LStrMsg="onload=\"$LStrFoc;\"";
	}
	//
	function ClsFrm(){
		$StrCod="";		
		$StrLin="";
		$StrDes="";
		$StrMar="";
		$StrUni="";
		$StrPcS="";
		$StrPcD="";
		$StrPvMin="";
		$StrPvMax="";
		$StrPro="";
		$CboPUso="";
	}
?>
